<?php
/************************************************** 
 *                 Bot Gadu-Gadu                  * 
 ************************************************** 
 * Wersja: 2.1                                    * 
 * Data: 13.02.2012 (19:41)                       * 
 * Autor: Jacek Kowalski (http://jacekk.info)     * 
 *                                                * 
 * Utwor rozprowadzany na licencji                * 
 * http://creativecommons.org/licenses/by-nc/2.5/ * 
 **************************************************/

echo STAR.'Pobieranie danych...';

$link = @file_get_contents('http://www.lotto.pl/');
if(!$link) {
	echo FAIL;
	return;
}
else
{
	echo OK;
}

function cut($link, $find) {
	$start = strpos($link, $find);
	if($start === FALSE) {
		var_dump($start, $find);
		return FALSE;
	}
	$start += strlen($find);
	
	$pos = strpos($link, '<', $start);
	if($pos === FALSE) {
		return FALSE;
	}
	
	return substr($link, $start, $pos-$start);
}

function pobierz($link, $skrot, $ilosc, $plus=FALSE) {
	$data = cut($link, '<!--data_'.$skrot.'-->');
	if(empty($data)) {echo FAIL; return FALSE;}
	
	$last_data = @file_get_contents('./last_'.$skrot.'.txt');
	if($last_data == $data) {
		echo NOT;
		return TRUE;
	}
	
	$num = array('data' => $data);
	
	for($i=1; $i<=$ilosc; $i++) {
		$num[$i] = cut($link, '<!--'.$skrot.($plus ? '_' : '').$i.'-->');
		if(empty($num[$i])) {
			echo FAIL;
			return FALSE;
		}
	}
	
	if($plus) {
		$num['plus'] = cut($link, '<!--'.$skrot.'plus-->');
		if(empty($num['plus'])) {echo FAIL; return FALSE;}
	}
	
	file_put_contents('./last_'.$skrot.'.txt', $data);
	file_put_contents('./'.$skrot.'.txt', serialize($num));
	file_put_contents('./archiwum/'.$skrot.'_'.date('j.m.Y', strtotime($data)).'.txt', serialize($num));
	
	echo OK;
	return TRUE;
}

echo STAR.'Wyniki Dużego Lotka...';
pobierz($link, 'dl', 6);

echo STAR.'Wyniki Express Lotka...';
pobierz($link, 'el', 5);

echo STAR.'Wyniki Multi Multi godz. 14:00...';
pobierz($link, 'mm14', 20, TRUE);

echo STAR.'Wyniki Multi Multi godz. 22:00...';
pobierz($link, 'mm22', 20, TRUE);

echo STAR.'Wyniki Jokera...';
pobierz($link, 'jk', 5);
?>